Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.logging
Class LoggingAdmin

    java.lang.Object
      org.wso2.wsas.admin.service.logging.LoggingAdmin

public class LoggingAdmin
extends java.lang.Object

Constructor Summary
`LoggingAdmin()`

Method Summary
`AppenderData` | `getAppenderData(java.lang.String appenderName)`
`LoggerData` | `getLoggerData(java.lang.String loggerName)`
`LogData` | `getSystemLog()` The system log level
`void` | `restoreDefaults()`
`void` | `updateAllAppenderData(java.lang.String appenderName, java.lang.String appenderPattern, java.lang.String threshold, java.lang.String logFileName, java.lang.String sysLogHost, java.lang.String facility)` we receive all the parameters from the update appenders method but we have to only update the relavent data.
`void` | `updateLoggerData(java.lang.String loggerName, java.lang.String loggerLevel, boolean additivity)`
`void` | `updateSystemLog(java.lang.String logLevel, java.lang.String logPattern)` Update the System Log Level

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingAdmin

    public LoggingAdmin()

Method Detail

### updateSystemLog

    public void updateSystemLog(java.lang.String logLevel,
                                java.lang.String logPattern)
                         throws org.apache.axis2.AxisFault

  Update the System Log Level

  Parameters:
    `logLevel` -
    `logPattern` -
  Throws:
    `org.apache.axis2.AxisFault`

### getAppenderData

    public AppenderData getAppenderData(java.lang.String appenderName)

  Parameters:
    `appenderName` -
  Returns:
    the pattern string for a given appender

### getLoggerData

    public LoggerData getLoggerData(java.lang.String loggerName)

### updateAllAppenderData

    public void updateAllAppenderData(java.lang.String appenderName,
                                      java.lang.String appenderPattern,
                                      java.lang.String threshold,
                                      java.lang.String logFileName,
                                      java.lang.String sysLogHost,
                                      java.lang.String facility)
                               throws org.apache.axis2.AxisFault

  we receive all the parameters from the update appenders method but we have to only update the relavent data.

  Parameters:
    `appenderName` -
    `appenderPattern` -
    `logFileName` -
  Throws:
    `org.apache.axis2.AxisFault`

### updateLoggerData

    public void updateLoggerData(java.lang.String loggerName,
                                 java.lang.String loggerLevel,
                                 boolean additivity)

### getSystemLog

    public LogData getSystemLog()
                         throws org.apache.axis2.AxisFault

  The system log level

  Returns:
    The system log level
  Throws:
    `org.apache.axis2.AxisFault`

### restoreDefaults

    public void restoreDefaults()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD